Create order pdf
Create an order pdf. Content and form is decided by type.
Required permissions: SALES_ORDER,RETURN_ORDER
post/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/pdf
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+orderUidstringRequiredPattern:
Reference to an Order.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Body
typestring · enum · min: 1Required
Possible values:
| ENUM | Description |
|---|---|
| RECEIPT | Make pdf file from sales receipt |
Responses
200
Order PDF download response. Based on the Accept header the response will be base64 json encoded or a raw file. application/octet-stream will return a binary file application/json will return a json with the file content base64 encoded. text/html is not supported for order receipt PDFs.
contentstringRequired
base64 encoded
contentTypestringRequired
mime type
filenamestringRequired
400
Bad Request
post/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/pdf
POST /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/pdf HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 18
{
"type": "RECEIPT"
}{
"content": "text",
"contentType": "text",
"filename": "text"
}Last updated
Was this helpful?

